Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 29 Dec 2021 04:22:21 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? no anyone pick up my product . i m to much irritate next tym no buy any item on splash i m not satisfy to meet with u rating very poor https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3683517